# QAbstractItemDelegate Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QAbstractItemDelegate(QObject parent)

### Constructor Properties

- prototype: The QAbstractItemDelegate prototype object
- NoHint
- EditNextItem
- EditPreviousItem
- SubmitModelCache
- RevertModelCache
- EndEditHint( value )

### Prototype Object Properties

The QAbstractItemDelegate prototype object inherits properties from the QObject prototype object and also has the following properties.

- QWidget createEditor(QWidget parent, QStyleOptionViewItem option, QModelIndex index)
- bool editorEvent(QEvent event, QAbstractItemModel model, QStyleOptionViewItem option, QModelIndex index)
- void paint(QPainter painter, QStyleOptionViewItem option, QModelIndex index)
- void setEditorData(QWidget editor, QModelIndex index)
- void setModelData(QWidget editor, QAbstractItemModel model, QModelIndex index)
- QSize sizeHint(QStyleOptionViewItem option, QModelIndex index)
- void updateEditorGeometry(QWidget editor, QStyleOptionViewItem option, QModelIndex index)

### Instance Properties

QAbstractItemDelegate objects have no special properties beyond those inherited from the QAbstractItemDelegate prototype object.